# FairMQ: fairmq/SuboptParser.cxx File Reference

SuboptParser.cxx File Reference

Parser implementation for key-value subopt format. More...

`#include <fairmq/SuboptParser.h>`
`#include <boost/property_tree/ptree.hpp>`
`#include <cstring>`
`#include <utility>`
Include dependency graph for SuboptParser.cxx:

## Namespaces

| fair
| Tools for interfacing containers to the transport via polymorphic allocators.

## Enumerations

enum | channelOptionKeyIds { NAME = 0, TYPE, METHOD, ADDRESS, TRANSPORT, SNDBUFSIZE, RCVBUFSIZE, SNDKERNELSIZE, RCVKERNELSIZE, LINGER, RATELOGGING, PORTRANGEMIN, PORTRANGEMAX, AUTOBIND, NUMSOCKETS, lastsocketkey }

## Functions

Properties | fair::mq::SuboptParser (const vector< string > &channelConfig, const string &deviceId)

## Detailed Description

Parser implementation for key-value subopt format.

Author
  Matth.nosp@m.ias..nosp@m.Richt.nosp@m.er@s.nosp@m.cieq..nosp@m.net

Since
  2017-03-30

privacy